"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.onFailedAttemptFor = void 0;
const ts_log_1 = require("ts-log");
exports.onFailedAttemptFor = (operation, logger = ts_log_1.dummyLogger) => ({ attemptNumber, message, retriesLeft }) => {
    const nextAction = retriesLeft > 0 ? 'retrying...' : 'exiting';
    logger.trace(message);
    logger.debug(`${operation}: Attempt ${attemptNumber} of ${attemptNumber + retriesLeft}, ${nextAction}`);
    if (retriesLeft === 0) {
        logger.error(message);
        process.exit(1);
    }
};
//# sourceMappingURL=onFailedAttemptFor.js.map