"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetFingerprint = void 0;
const graphql_1 = require("graphql");
exports.AssetFingerprint = new graphql_1.GraphQLScalarType({
    name: 'AssetFingerprint',
    description: 'CIP14 User-facing asset fingerprint as a bech32-encoded blake2b-160 digest of the concatenation of policy id and asset name.',
    serialize(value) {
        return value;
    },
    parseValue(value) {
        return validateInput(value);
    },
    parseLiteral(ast) {
        switch (ast.kind) {
            case graphql_1.Kind.STRING:
                return validateInput(ast.value);
        }
    }
});
function validateInput(input) {
    if (input.length !== 44 &&
        input.substr(0, 5) !== 'asset')
        throw new graphql_1.GraphQLError(`${input} is not a valid AssetFingerprint`);
    return input;
}
//# sourceMappingURL=AssetFingerprint.js.map