"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Hash28Hex = void 0;
const graphql_1 = require("graphql");
exports.Hash28Hex = new graphql_1.GraphQLScalarType({
    name: 'Hash28Hex',
    description: 'Hex encoded 28 byte hash, 56 characters',
    serialize(value) {
        return value.substring(2);
    },
    parseValue(value) {
        return validateInput(value);
    },
    parseLiteral(ast) {
        switch (ast.kind) {
            case graphql_1.Kind.STRING:
                return validateInput(ast.value);
        }
    }
});
function validateInput(input) {
    if (input.length !== 56)
        throw new graphql_1.GraphQLError(`${input} is not a valid 28 byte hash`);
    return `\\x${input}`;
}
//# sourceMappingURL=Hash28Hex.js.map