"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Hash32Hex = void 0;
const graphql_1 = require("graphql");
exports.Hash32Hex = new graphql_1.GraphQLScalarType({
    name: 'Hash32Hex',
    description: 'Hex encoded 32 byte, 64 characters',
    serialize(value) {
        return value.substring(2);
    },
    parseValue(value) {
        return validateInput(value);
    },
    parseLiteral(ast) {
        switch (ast.kind) {
            case graphql_1.Kind.STRING:
                return validateInput(ast.value);
        }
    }
});
function validateInput(input) {
    if (input.length !== 64)
        throw new graphql_1.GraphQLError(`${input} is not a valid 32 byte hash`);
    return `\\x${input}`;
}
//# sourceMappingURL=Hash32Hex.js.map