"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Hex = void 0;
const graphql_1 = require("graphql");
exports.Hex = new graphql_1.GraphQLScalarType({
    name: 'Hex',
    description: 'Hex encoded bytes',
    serialize(value) {
        return value.substring(2);
    },
    parseValue(value) {
        return validateInput(value);
    },
    parseLiteral(ast) {
        switch (ast.kind) {
            case graphql_1.Kind.STRING:
                return validateInput(ast.value);
        }
    }
});
function validateInput(input) {
    return `\\x${input}`;
}
//# sourceMappingURL=Hex.js.map