"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StakeAddress = void 0;
const graphql_1 = require("graphql");
exports.StakeAddress = new graphql_1.GraphQLScalarType({
    name: 'StakeAddress',
    description: 'Bech32 encoded stake address',
    serialize: validatePrefix,
    parseValue: validatePrefix,
    parseLiteral(ast) {
        switch (ast.kind) {
            case graphql_1.Kind.STRING:
                return validatePrefix(ast.value);
        }
    }
});
function validatePrefix(input) {
    if (input.substring(0, 5) !== 'stake') {
        throw new graphql_1.GraphQLError(`${input} is not a valid stake address`);
    }
    return input;
}
//# sourceMappingURL=StakeAddress.js.map