"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StakePoolID = void 0;
const graphql_1 = require("graphql");
exports.StakePoolID = new graphql_1.GraphQLScalarType({
    name: 'StakePoolID',
    description: 'Bech32 encoded Stake Pool ID',
    serialize: validatePrefix,
    parseValue: validatePrefix,
    parseLiteral(ast) {
        switch (ast.kind) {
            case graphql_1.Kind.STRING:
                return validatePrefix(ast.value);
        }
    }
});
function validatePrefix(input) {
    if (input.substring(0, 4) !== 'pool') {
        throw new graphql_1.GraphQLError(`${input} is not a valid Stake Pool ID`);
    }
    return input;
}
//# sourceMappingURL=StakePoolID.js.map