"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VRFVerificationKey = void 0;
const graphql_1 = require("graphql");
exports.VRFVerificationKey = new graphql_1.GraphQLScalarType({
    name: 'VRFVerificationKey',
    description: 'Bech32 encoded VRF verification key',
    serialize: validatePrefix,
    parseValue: validatePrefix,
    parseLiteral(ast) {
        switch (ast.kind) {
            case graphql_1.Kind.STRING:
                return validatePrefix(ast.value);
        }
    }
});
function validatePrefix(input) {
    if (input.substring(0, 6) !== 'vrf_vk') {
        throw new graphql_1.GraphQLError(`${input} is not a valid VRF verification key`);
    }
    return input;
}
//# sourceMappingURL=VRFVerificationKey.js.map